View Issue Details

IDProjectCategoryView StatusLast Update
0001755FreeCADBugpublic2014-09-19 18:44
ReportershoogenAssigned Toyorik 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.15 
Target VersionFixed in Version 
Summary0001755: Avoid using unicode as names in parameter system
Descriptioncurrently paramters names are automatically translated resulting in invalid user.csg and system.csg files.
http://forum.freecadweb.org/viewtopic.php?f=10&t=5464&start=20#p44255
"The parameter system was not designed to take Names in UTF8, only Values! I think Parameter names should only be English and ASCII, the translation is done in the dialogues which are designed to manipulate the parameter." (J├╝rgen on 2014-01-06)
http://forum.freecadweb.org/viewtopic.php?f=10&t=5464
http://forum.freecadweb.org/viewtopic.php?f=3&t=7203
http://forum.freecadweb.org/viewtopic.php?f=3&t=7725
Tagstranslation, unicode, XML

Relationships

related to 0001614 closedwmayer Provide proper Error Message for corrupt xml files 

Activities

shoogen

2014-09-19 08:19

developer   ~0005130

please review the fix at
git://github.com/5263/FreeCAD.git toolbar-translation
https://github.com/5263/FreeCAD/compare/toolbar-translation

yorik

2014-09-19 13:37

administrator   ~0005133

Merged, thanks for the fix!

Related Changesets

FreeCAD: master e5429731

2014-09-19 10:16:48

shoogen


Committer: yorik Details Diff
fixes 0001755: don't translate toolbar names

in InitGui.py of Arch and Spreadsheet
Affected Issues
0001755
mod - src/Mod/Arch/InitGui.py Diff File
mod - src/Mod/Spreadsheet/InitGui.py Diff File

FreeCAD: master 810fadab

2014-09-19 18:13:34

yorik

Details Diff
Fixed bug introduced by last commit Affected Issues
0001755
mod - src/Mod/Arch/InitGui.py Diff File
mod - src/Mod/Spreadsheet/InitGui.py Diff File

Issue History

Date Modified Username Field Change
2014-09-18 17:58 shoogen New Issue
2014-09-18 17:58 shoogen Relationship added related to 0001614
2014-09-18 17:59 shoogen Tag Attached: unicode
2014-09-18 17:59 shoogen Tag Attached: XML
2014-09-18 18:04 shoogen Summary Avoid using unicode in parameter system => Avoid using unicode as names in parameter system
2014-09-19 08:19 shoogen Note Added: 0005130
2014-09-19 08:19 shoogen Assigned To => yorik
2014-09-19 08:19 shoogen Status new => assigned
2014-09-19 08:19 shoogen Tag Attached: translation
2014-09-19 13:37 yorik Note Added: 0005133
2014-09-19 13:50 yorik Changeset attached => FreeCAD Master master e5429731
2014-09-19 13:50 yorik Status assigned => closed
2014-09-19 13:50 yorik Resolution open => fixed
2014-09-19 18:44 shoogen Changeset attached => FreeCAD Master master 810fadab